## BIND Configuration File Guide--`include` Statement

### Syntax

    include path_name;

### Definition and Usage

The `include` statement inserts the specified file at the point that the `include` statement is encountered. It cannot be used within another statement, though, so a line such as

    acl internal_hosts { include "internal_hosts.acl"; };

is not allowed.

Use `include` to break the configuration up into easily-managed chunks. For example:

    include "/etc/security/keys.bind";
    include "/etc/acls.bind";

could be used at the top of a BIND configuration file in order to include any ACL or key information.

Be careful not to type "`#include`", like you would in a C program, because "`#`" is used to start a comment.

[ BIND Config. File | BIND Home | ISC ]